Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
UrlGeneratorTest.php file core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php
UrlGeneratorTest::$aliasManager property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The alias manager.
UrlGeneratorTest::$context property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The request context.
UrlGeneratorTest::$generator property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The URL generator to test.
UrlGeneratorTest::$processorManager property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The path processor.
UrlGeneratorTest::$provider property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The route provider.
UrlGeneratorTest::$requestStack property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The request stack.
UrlGeneratorTest::$routeProcessorManager property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The route processor manager.
UrlGeneratorTest::aliasManagerCallback function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Return value callback for getAliasByPath() on the mock alias manager.
UrlGeneratorTest::assertGenerateFromRoute function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Asserts \Drupal\Core\Routing\UrlGenerator::generateFromRoute()'s output.
UrlGeneratorTest::providerTestAliasGenerationWithOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Provides test data for testAliasGenerationWithOptions.
UrlGeneratorTest::providerTestNoPath function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Data provider for ::testNoPath().
UrlGeneratorTest::setUp function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php
UrlGeneratorTest::setUpMockRouteProcessorManager function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Reinitializes the route processor manager as a mock object.
UrlGeneratorTest::testAbsoluteURLGeneration function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that absolute URLs work with generated routes.
UrlGeneratorTest::testAbsoluteURLGenerationUsingInterfaceConstants function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that absolute URLs work with generated routes using interface constants.
UrlGeneratorTest::testAliasGeneration function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths.
UrlGeneratorTest::testAliasGenerationUsingInterfaceConstants function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths using interface constants.
UrlGeneratorTest::testAliasGenerationWithOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths with options.
UrlGeneratorTest::testAliasGenerationWithParameters function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths.
UrlGeneratorTest::testBaseURLGeneration function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that explicitly setting the base_url works with generated routes.
UrlGeneratorTest::testEncodingOfChainedRelativePathSegments function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests generate with chained relative path segments.
UrlGeneratorTest::testGenerateWithPathProcessorChangingOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests generate with path processor changing options.
UrlGeneratorTest::testGenerateWithRouteNameInOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests that route name and parameters are passed to path processors.
UrlGeneratorTest::testGetPathFromRouteTrailing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation from route with trailing start and end slashes.
UrlGeneratorTest::testGetPathFromRouteWithSubdirectory function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation in a subdirectory.
UrlGeneratorTest::testNoPath function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests generating a relative URL with no path.
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests url generation with disabled path processing.
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessingByRoute function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests url generation with disabled path processing by route.
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessingByRouteAndOptedInPathProcessing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests url generation with disabled path processing by route and opted in path processing.
UrlGeneratorTest::testUrlGenerationWithHttpsRequirement function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests the 'scheme' route requirement during URL generation.
UrlHelper::$allowedProtocols property core/lib/Drupal/Component/Utility/UrlHelper.php The list of allowed protocols.
UrlHelper::compressQueryParameter function core/lib/Drupal/Component/Utility/UrlHelper.php Compresses a string for use in a query parameter.
UrlHelper::externalIsLocal function core/lib/Drupal/Component/Utility/UrlHelper.php Determines if an external URL points to this installation.
UrlHelper::filterQueryParameters function core/lib/Drupal/Component/Utility/UrlHelper.php Filters a URL query parameter array to remove unwanted elements.
UrlHelper::getAllowedProtocols function core/lib/Drupal/Component/Utility/UrlHelper.php Gets the allowed protocols.
UrlHelper::isExternal function core/lib/Drupal/Component/Utility/UrlHelper.php Determines whether a path is external to Drupal.
UrlHelper::isValid function core/lib/Drupal/Component/Utility/UrlHelper.php Verifies the syntax of the given URL.
UrlHelper::parse function core/lib/Drupal/Component/Utility/UrlHelper.php Parses a URL string into its path, query, and fragment components.
UrlHelper::setAllowedProtocols function core/lib/Drupal/Component/Utility/UrlHelper.php Sets the allowed protocols.
UrlHelper::stripDangerousProtocols function core/lib/Drupal/Component/Utility/UrlHelper.php Strips dangerous protocols (for example, 'javascript:') from a URI.
UrlHelper::uncompressQueryParameter function core/lib/Drupal/Component/Utility/UrlHelper.php Takes a compressed parameter and converts it back to the original.
UrlHelperFormatConstraint class core/tests/Drupal/Tests/Core/Theme/Component/ComponentValidatorTest.php Defines a custom format constraint for json-schema.
UrlHelperFormatConstraint::check function core/tests/Drupal/Tests/Core/Theme/Component/ComponentValidatorTest.php
UrlHelperTest class core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests Drupal\Component\Utility\UrlHelper.
UrlHelperTest.php file core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php
UrlHelperTest::dataEnhanceWithPrefix function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Enhances test URLs with prefixes.
UrlHelperTest::dataEnhanceWithScheme function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Enhances test URLs with schemes.
UrlHelperTest::providerTestBuildQuery function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides test data for testBuildQuery().
UrlHelperTest::providerTestEncodePath function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for self::testEncodePath().

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.